unit upyramide;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, Buttons, Grids;

type

  { Tfpyramide }

  Tfpyramide = class(TForm)
    BitBtn1: TBitBtn;
    b_berechnen: TButton;
    e_hoehe: TEdit;
    e_kante: TEdit;
    Image1: TImage;
    Label1: TLabel;
    t_ausgabe: TStringGrid;
    procedure b_berechnenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fpyramide: Tfpyramide;

implementation

{$R *.lfm}

{ Tfpyramide }

procedure Tfpyramide.FormCreate(Sender: TObject);
VAR spalte, zeile : BYTE;
begin
  FOR spalte:= 0 TO 1 DO BEGIN
                          t_ausgabe.ColWidths[spalte]:=110;
                         END;
  FOR zeile:= 0 TO 5 DO BEGIN
                          t_ausgabe.RowHeights[zeile]:=30;
                         END;

  t_ausgabe.cells[0,0] := 'Gesucht:';
  t_ausgabe.cells[1,0] := 'Lösung:';

  t_ausgabe.cells[0,1] := 'Grundfläche';
  t_ausgabe.cells[0,2] := 'Seitenfläche';
  t_ausgabe.cells[0,3] := 'Mantelfläche';
  t_ausgabe.cells[0,4] := 'Oberfläche';
  t_ausgabe.cells[0,5] := 'Volumen';

end;

procedure Tfpyramide.b_berechnenClick(Sender: TObject);
VAR kante,hoehe : SINGLE;
    grundflaeche : SINGLE;

  FUNCTION AG(a:SINGLE):SINGLE;
  BEGIN
   AG := a*a;
  END;

begin
  //Wertuebergabe
  kante := STRTOFLOAT(e_kante.text);
  hoehe := STRTOFLOAT(e_hoehe.text);

  //Verarbeitung
  grundflaeche := AG(kante);

  //Ausgabe
  t_ausgabe.cells[1,1]:=FLOATTOSTRF(grundflaeche,ffnumber,8,2);

          // Ihre Arbeit
end;

end.

